%global import_path github.com/planetscale/vtprotobuf

Name: vtprotobuf
Version: 0.6.0
Release: alt1

Summary: Vitess Protocol Buffers compiler
License: BSD-3-Clause
Group: Development/Other
Url: https://protobuf.dev/
Vcs: https://github.com/protocolbuffers/protobuf-go.git

Source: %name-%version.tar
Patch: %name-%version.patch

ExclusiveArch: %go_arches
BuildRequires(pre): rpm-macros-golang
BuildRequires: rpm-build-golang golang >= 1.20
Provides: protoc-gen-go-vtproto = %EVR

%description
protoc-gen-go-vtproto plug-in for protoc,
which is used by Vitess to generate optimized marshall & unmarshal code.

The code generated by this compiler is based on the optimized code generated
by [gogo/protobuf](https://github.com/gogo/protobuf),
although this package is not a fork of the original `gogo` compiler,
as it has been implemented to support the new ProtoBuf APIv2 packages.

%prep
%setup
%autopatch -p1

%build
export BUILDDIR="$PWD/.build"
export IMPORT_PATH="%import_path"
export LDFLAGS="-w"
export TAGS="protolegacy"
export GOPATH="$BUILDDIR:%go_path"
%golang_prepare
%golang_build cmd/protoc-gen-go-vtproto

%install
export BUILDDIR="$PWD/.build"
export IMPORT_PATH="%import_path"
export IGNORE_SOURCES=1
%golang_install

%files
%doc README.md LICENSE
%_bindir/*

%changelog
* Mon Aug 05 2024 Alexey Shabalin <shaba@altlinux.org> 0.6.0-alt1
- Initial build.

